## rust-wayland-protocols-0.29 0.29.5

=== wlr-protocols/Makefile ===
PREFIX=/usr
DATADIR=$${datarootdir}
DATAROOTDIR=$${prefix}/share

unstable_protocols = \
	unstable/wlr-export-dmabuf-unstable-v1.xml \
	unstable/wlr-gamma-control-unstable-v1.xml \
	unstable/wlr-input-inhibitor-unstable-v1.xml \
	unstable/wlr-layer-shell-unstable-v1.xml \
	unstable/wlr-output-power-management-v1.xml \
	unstable/wlr-screencopy-unstable-v1.xml

check:
	./check.sh

clean:
	rm -f wlr-protocols.pc

wlr-protocols.pc: wlr-protocols.pc.in
	sed \
		-e 's:@prefix@:$(PREFIX):g' \
		-e 's:@datadir@:$(DATADIR):g' \
		-e 's:@datarootdir@:$(DATAROOTDIR):g' \
		<$< >$@

install-unstable: $(unstable_protocols)
	mkdir -p $(DESTDIR)$(PREFIX)/share/wlr-protocols/unstable
	for protocol in $^ ; \
	do \
		install -Dm644 $$protocol \
			$(DESTDIR)$(PREFIX)/share/wlr-protocols/$$protocol ; \
	done

install-pc: wlr-protocols.pc
	mkdir -p $(DESTDIR)$(PREFIX)/share/pkgconfig/
	install -Dm644 wlr-protocols.pc \
		$(DESTDIR)$(PREFIX)/share/pkgconfig/wlr-protocols.pc

install: install-unstable install-pc

=== debian/changelog ===
rust-wayland-protocols-0.29 (0.29.5-3) unstable; urgency=medium

  * Team upload.
  * Regenerate wayland-protocols 0.29.5 using debcargo 2.7.5

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 24 Nov 2024 18:23:04 +0100

rust-wayland-protocols-0.29 (0.29.5-2) unstable; urgency=medium

  * Package wayland-protocols 0.29.5 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Tue, 04 Jul 2023 21:21:41 +0200

rust-wayland-protocols-0.29 (0.29.5-1) experimental; urgency=medium

  * Package wayland-protocols 0.29.5 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Thu, 29 Jun 2023 09:04:01 -0400

=== debian/control ===
Source: rust-wayland-protocols-0.29
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-wayland-commons-0.29+default-dev <!nocheck>,
 librust-wayland-scanner-0.29+default-dev (>= 0.29.5-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <matthias.geiger1024@tutanota.de>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/wayland-protocols-0.29]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/wayland-protocols-0.29
Homepage: https://github.com/smithay/wayland-rs
X-Cargo-Crate: wayland-protocols
Rules-Requires-Root: no

Package: librust-wayland-protocols-0.29-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-wayland-client-0.29+default-dev (>= 0.29.5-~~),
 librust-wayland-commons-0.29+default-dev,
 librust-wayland-scanner-0.29+default-dev (>= 0.29.5-~~),
 librust-wayland-server-0.29+default-dev (>= 0.29.5-~~)
Provides:
 librust-wayland-protocols-0-dev (= ${binary:Version}),
 librust-wayland-protocols-0+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0+staging-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0+unstable-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+staging-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+unstable-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.5-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.5+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.5+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.5+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.5+staging-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.5+unstable-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.5+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.5+wayland-server-dev (= ${binary:Version})
Replaces: librust-wayland-protocols-dev (<< 0.29.6~)
Breaks: librust-wayland-protocols-dev (<< 0.29.6~)
Description: Generated API for the officials wayland protocol extensions - Rust source code
 Source code for Debianized Rust crate "wayland-protocols"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.5 --all-targets --all-features
Features: test-name=rust-wayland-protocols-0.29:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.5 --all-targets --no-default-features --features client
Features: test-name=librust-wayland-protocols-0.29-dev:client
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.5 --all-targets
Features: test-name=librust-wayland-protocols-0.29-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.5 --all-targets --no-default-features --features server
Features: test-name=librust-wayland-protocols-0.29-dev:server
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.5 --all-targets --no-default-features --features staging_protocols
Features: test-name=librust-wayland-protocols-0.29-dev:staging_protocols
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.5 --all-targets --no-default-features --features unstable_protocols
Features: test-name=librust-wayland-protocols-0.29-dev:unstable_protocols
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.5 --all-targets --no-default-features --features wayland-client
Features: test-name=librust-wayland-protocols-0.29-dev:wayland-client
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.5 --all-targets --no-default-features --features wayland-server
Features: test-name=librust-wayland-protocols-0.29-dev:wayland-server
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.5 --all-targets --no-default-features
Features: test-name=librust-wayland-protocols-0.29-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/wayland-protocols-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/wayland-protocols .*/crates/wayland-protocols/[-_]?(0.29\.\d[\-+\.:\~\da-zA-Z]*)/download
